## pympler 1.1+dfsg1

=== doc/requirements.txt ===
Sphinx
myst-parser

## pympler 0.7+dfsg1

=== debian/changelog ===
pympler (0.7+dfsg1-1build1) focal; urgency=medium

  * debian/patches/build_python_38.patch:
    - backport upstream test fix for python3.8

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 06 Dec 2019 14:25:32 +0100

pympler (0.7+dfsg1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ William Grzybowski ]
  * Upload to unstable

 -- William Grzybowski <william@grzy.org>  Wed, 13 Nov 2019 12:30:39 -0300

pympler (0.7+dfsg1-1~exp1) experimental; urgency=medium

  * Initial release (Closes: #940725)

 -- William Grzybowski <william@grzy.org>  Thu, 19 Sep 2019 09:59:01 -0300

=== debian/control ===
Source: pympler
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: William Grzybowski <william@grzy.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               libjs-jquery-flot,
               node-uglify,
               python3-all,
               python3-setuptools
Standards-Version: 4.4.1
Homepage: https://github.com/pympler
Vcs-Browser: https://salsa.debian.org/python-team/modules/pympler
Vcs-Git: https://salsa.debian.org/python-team/modules/pympler.git
Testsuite: autopkgtest-pkg-python

Package: python3-pympler
Architecture: all
Depends: libjs-jquery-flot, ${misc:Depends}, ${python3:Depends}
Description: Tool to measure, monitor and analyze the Python objects memory
 Pympler is a development tool to measure, monitor and analyze the memory
 behavior of Python objects in a running Python application.
 .
 By pympling a Python application, detailed insight in the size and the
 lifetime of Python objects can be obtained. Undesirable or unexpected runtime
 behavior like memory bloat and other "pymples" can easily be identified.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=pympler

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	uglifyjs -o pympler/templates/jquery.flot.tooltip.min.js debian/javascript/jquery.flot.tooltip.js
	mkdir pympler/static
	uglifyjs -o pympler/static/jquery.sparkline.min.js debian/javascript/jquery.sparkline.js

override_dh_auto_clean:
	dh_auto_clean
	rm -rf pympler/static
	rm -f pympler/templates/jquery.flot.tooltip.min.js

override_dh_auto_install:
	dh_auto_install
	set -e; for python in $(shell py3versions -r); do \
		ln -s /usr/share/javascript/jquery-flot/jquery.flot.min.js debian/python3-pympler/usr/lib/$$python/dist-packages/pympler/templates/jquery.flot.min.js; \
		ln -s /usr/share/javascript/jquery-flot/jquery.flot.stack.min.js debian/python3-pympler/usr/lib/$$python/dist-packages/pympler/templates/jquery.flot.stack.min.js; \
	done

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; for python in $(shell py3versions -r); do \
		$$python setup.py try ; \
	done
endif

=== debian/watch ===
version=4
opts=filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%pympler-$1.tar.gz%,\
   dversionmangle=s/\+dfsg\d*// \
   https://github.com/pympler/pympler/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## pympler 0.9%2Bdfsg1

=== debian/changelog ===
pympler (0.9+dfsg1-2) unstable; urgency=medium

  * Team upload
  * d/control: Change build-dependency to uglifyjs Closes: #979949

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Fri, 29 Jan 2021 23:14:30 +0100

pympler (0.9+dfsg1-1) unstable; urgency=medium

  * Team upload
  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Håvard Flaget Aasen ]
  * d/watch: Add repacksuffix and use substitution patterns
  * New upstream version 0.9+dfsg1
    New versions supports both Python 3.8 and 3.9 Closes: #946265
  * d/control:
    - Update Standards-Version to 4.5.1
    - Add Rules-Requires-Root: no
  * Bump debhelper to 13
  * d/patches: Add Forwarded: not-needed
  * d/copyright: Update copyright years

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Sun, 27 Dec 2020 21:31:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: pympler
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: William Grzybowski <william@grzy.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                libjs-jquery-flot,
-               node-uglify,
+               uglifyjs,
                python3-all,
                python3-setuptools
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Homepage: https://github.com/pympler
-Vcs-Browser: https://salsa.debian.org/python-team/modules/pympler
-Vcs-Git: https://salsa.debian.org/python-team/modules/pympler.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/pympler
+Vcs-Git: https://salsa.debian.org/python-team/packages/pympler.git
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-pympler

=== debian/watch ===
version=4
opts=filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%pympler-$1.tar.gz%,\
dversionmangle=s/@DEB_EXT@//,\
repacksuffix=+dfsg1 \
https://github.com/@PACKAGE@/@PACKAGE@/tags (?:.*?/)@ANY_VERSION@@ARCHIVE_EXT@

## pympler 0.9+dfsg1

=== debian/rules ===
--- 
+++ 
@@ -11,13 +11,11 @@
 	mkdir pympler/static
 	uglifyjs -o pympler/static/jquery.sparkline.min.js debian/javascript/jquery.sparkline.js
 
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_auto_clean:
 	rm -rf pympler/static
 	rm -f pympler/templates/jquery.flot.tooltip.min.js
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	set -e; for python in $(shell py3versions -r); do \
 		ln -s /usr/share/javascript/jquery-flot/jquery.flot.min.js debian/python3-pympler/usr/lib/$$python/dist-packages/pympler/templates/jquery.flot.min.js; \
 		ln -s /usr/share/javascript/jquery-flot/jquery.flot.stack.min.js debian/python3-pympler/usr/lib/$$python/dist-packages/pympler/templates/jquery.flot.stack.min.js; \

## pympler 1.1+dfsg1

=== debian/changelog ===
pympler (1.1+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Update bundled bottle.py for compatibility with Python >= 3.10
      (closes: #1002173).
  * Use pybuild-plugin-pyproject and remove reliance on setup.py for tests.
  * Switch to autopkgtest-pkg-pybuild.

 -- Colin Watson <cjwatson@debian.org>  Thu, 22 Aug 2024 00:07:50 +0100

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
                dh-python,
                libjs-jquery-flot,
                uglifyjs,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-setuptools
 Standards-Version: 4.5.1
@@ -14,7 +15,7 @@
 Homepage: https://github.com/pympler
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pympler
 Vcs-Git: https://salsa.debian.org/python-team/packages/pympler.git
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-pympler
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=pympler
export PYBUILD_TEST_CUSTOM=1
export PYBUILD_TEST_ARGS={interpreter} {dir}/test/runtest.py $(if $(PYBUILD_AUTOPKGTEST),-post-install,-pre-install) -verbose 3

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_before_dh_auto_build:
	uglifyjs -o pympler/templates/jquery.flot.tooltip.min.js debian/javascript/jquery.flot.tooltip.js
	mkdir pympler/static
	uglifyjs -o pympler/static/jquery.sparkline.min.js debian/javascript/jquery.sparkline.js

execute_after_dh_auto_clean:
	rm -rf pympler/static
	rm -f pympler/templates/jquery.flot.tooltip.min.js

execute_after_dh_auto_install:
	set -e; for python in $(shell py3versions -r); do \
		ln -s /usr/share/javascript/jquery-flot/jquery.flot.min.js debian/python3-pympler/usr/lib/$$python/dist-packages/pympler/templates/jquery.flot.min.js; \
		ln -s /usr/share/javascript/jquery-flot/jquery.flot.stack.min.js debian/python3-pympler/usr/lib/$$python/dist-packages/pympler/templates/jquery.flot.stack.min.js; \
	done
